mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.Delegate | System.AttributeTargets.All, Inherited=false) System.Diagnostics.Conditional("CONTRACTS_FULL") System.Diagnostics.Conditional("DEBUG") Marks a class as having another class that contains its code contracts. Interfaces and abstract methods cannot have their contracts written directly in the code. The and may be used to specify another class that contains the contracts for an interface or abstract class.
- Constructor
  4.0.0.0
  The type that contains the code contract specifications.
  Constructs a ContractClassAttribute, specifying the type that contains the code contract specifications.
- Property
  4.0.0.0
  System.Type Get the type that contains the code contract specifications. The type that contains the code contract specifications.